depends = ('ITKPyBase', 'ITKTransform', 'ITKSpatialObjects', 'ITKImageFilterBase', 'ITKImageCompose', )
templates = (
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS2ISS2Neighborhood', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS3ISS3Neighborhood', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS4ISS4Neighborhood', False, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Neighborhood< bool, 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC2IUC2Neighborhood', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC3IUC3Neighborhood', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC4IUC4Neighborhood', False, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Neighborhood< bool, 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUL2IUL2Neighborhood', False, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUL3IUL3Neighborhood', False, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUL4IUL4Neighborhood', False, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Neighborhood< bool, 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2Neighborhood', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF3IF3Neighborhood', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF4IF4Neighborhood', False, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Neighborhood< bool, 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID2ID2Neighborhood', False, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Neighborhood< bool, 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID3ID3Neighborhood', False, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Neighborhood< bool, 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID4ID4Neighborhood', False, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Neighborhood< bool, 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS2ISS2Neighborhood', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS3ISS3Neighborhood', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS4ISS4Neighborhood', False, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Neighborhood< bool, 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC2IUC2Neighborhood', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC3IUC3Neighborhood', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC4IUC4Neighborhood', False, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Neighborhood< bool, 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUL2IUL2Neighborhood', False, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUL3IUL3Neighborhood', False, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUL4IUL4Neighborhood', False, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Neighborhood< bool, 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2Neighborhood', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF3IF3Neighborhood', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF4IF4Neighborhood', False, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Neighborhood< bool, 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID2ID2Neighborhood', False, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Neighborhood< bool, 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID3ID3Neighborhood', False, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Neighborhood< bool, 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID4ID4Neighborhood', False, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Neighborhood< bool, 4 >'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramSSSS', True, 'signed short, signed short'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramUCUC', True, 'unsigned char, unsigned char'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramULUL', True, 'unsigned long, unsigned long'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramFF', True, 'float, float'),
  ('AdaptiveEqualizationHistogram', 'itk::Function::AdaptiveEqualizationHistogram', 'itkAdaptiveEqualizationHistogramDD', True, 'double, double'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS2ISS2NeighborhoodAHE', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS3ISS3NeighborhoodAHE', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterISS4ISS4NeighborhoodAHE', False, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Neighborhood< bool, 4 >, itk::Function::AdaptiveEqualizationHistogram< signed short, signed short >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC2IUC2NeighborhoodAHE', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC3IUC3NeighborhoodAHE', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUC4IUC4NeighborhoodAHE', False, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Neighborhood< bool, 4 >, itk::Function::AdaptiveEqualizationHistogram< unsigned char, unsigned char >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUL2IUL2NeighborhoodAHE', False, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< unsigned long, unsigned long >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUL3IUL3NeighborhoodAHE', False, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< unsigned long, unsigned long >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIUL4IUL4NeighborhoodAHE', False, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Neighborhood< bool, 4 >, itk::Function::AdaptiveEqualizationHistogram< unsigned long, unsigned long >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF2IF2NeighborhoodAHE', False, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF3IF3NeighborhoodAHE', False, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterIF4IF4NeighborhoodAHE', False, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Neighborhood< bool, 4 >, itk::Function::AdaptiveEqualizationHistogram< float, float >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterID2ID2NeighborhoodAHE', False, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Neighborhood< bool, 2 >, itk::Function::AdaptiveEqualizationHistogram< double, double >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterID3ID3NeighborhoodAHE', False, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Neighborhood< bool, 3 >, itk::Function::AdaptiveEqualizationHistogram< double, double >'),
  ('MovingHistogramImageFilter', 'itk::MovingHistogramImageFilter', 'itkMovingHistogramImageFilterID4ID4NeighborhoodAHE', False, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Neighborhood< bool, 4 >, itk::Function::AdaptiveEqualizationHistogram< double, double >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUL2', True, 'itk::Image< unsigned long,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUL3', True, 'itk::Image< unsigned long,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUL4', True, 'itk::Image< unsigned long,4 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterID2', True, 'itk::Image< double,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterID3', True, 'itk::Image< double,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterID4', True, 'itk::Image< double,4 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorISS4', True, 'itk::Image< signed short,4 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUL2', True, 'itk::Image< unsigned long,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUL3', True, 'itk::Image< unsigned long,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIUL4', True, 'itk::Image< unsigned long,4 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF2', True, 'itk::Image< float,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF3', True, 'itk::Image< float,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorIF4', True, 'itk::Image< float,4 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorID2', True, 'itk::Image< double,2 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorID3', True, 'itk::Image< double,3 >'),
  ('ImageMomentsCalculator', 'itk::ImageMomentsCalculator', 'itkImageMomentsCalculatorID4', True, 'itk::Image< double,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUL2IF2', True, 'itk::Image< unsigned long,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUL2ID2', True, 'itk::Image< unsigned long,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF2ID2', True, 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID2IF2', True, 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUL3IF3', True, 'itk::Image< unsigned long,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUL3ID3', True, 'itk::Image< unsigned long,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS4IF4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorISS4ID4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUC4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUL4IF4', True, 'itk::Image< unsigned long,4 >, itk::Image< float,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIUL4ID4', True, 'itk::Image< unsigned long,4 >, itk::Image< double,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorIF4ID4', True, 'itk::Image< float,4 >, itk::Image< double,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID4IF4', True, 'itk::Image< double,4 >, itk::Image< float,4 >'),
  ('ImagePCAShapeModelEstimator', 'itk::ImagePCAShapeModelEstimator', 'itkImagePCAShapeModelEstimatorID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS2IF2', True, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS2ID2', True, 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC2IF2', True, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC2ID2', True, 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUL2IF2', True, 'itk::Image< unsigned long,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUL2ID2', True, 'itk::Image< unsigned long,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF2ID2', True, 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID2IF2', True, 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS3IF3', True, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS3ID3', True, 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC3IF3', True, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC3ID3', True, 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUL3IF3', True, 'itk::Image< unsigned long,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUL3ID3', True, 'itk::Image< unsigned long,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF3ID3', True, 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID3IF3', True, 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS4IF4', True, 'itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseISS4ID4', True, 'itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC4IF4', True, 'itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUC4ID4', True, 'itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUL4IF4', True, 'itk::Image< unsigned long,4 >, itk::Image< float,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIUL4ID4', True, 'itk::Image< unsigned long,4 >, itk::Image< double,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseIF4ID4', True, 'itk::Image< float,4 >, itk::Image< double,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID4IF4', True, 'itk::Image< double,4 >, itk::Image< float,4 >'),
  ('ImageShapeModelEstimatorBase', 'itk::ImageShapeModelEstimatorBase', 'itkImageShapeModelEstimatorBaseID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2IUL2', True, 'itk::Image< signed short,2 >,itk::Image< unsigned long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IUL2', True, 'itk::Image< unsigned char,2 >,itk::Image< unsigned long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL2IUC2', True, 'itk::Image< unsigned long,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL2ISS2', True, 'itk::Image< unsigned long,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUC2', True, 'itk::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUL2', True, 'itk::Image< float,2 >,itk::Image< unsigned long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2ISS2', True, 'itk::Image< float,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID2IUC2', True, 'itk::Image< double,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID2IUL2', True, 'itk::Image< double,2 >,itk::Image< unsigned long,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID2ISS2', True, 'itk::Image< double,2 >,itk::Image< signed short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3IUL3', True, 'itk::Image< signed short,3 >,itk::Image< unsigned long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IUL3', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL3IUC3', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL3ISS3', True, 'itk::Image< unsigned long,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IUC3', True, 'itk::Image< float,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IUL3', True, 'itk::Image< float,3 >,itk::Image< unsigned long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3ISS3', True, 'itk::Image< float,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID3IUC3', True, 'itk::Image< double,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID3IUL3', True, 'itk::Image< double,3 >,itk::Image< unsigned long,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID3ISS3', True, 'itk::Image< double,3 >,itk::Image< signed short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS4IUC4', True, 'itk::Image< signed short,4 >,itk::Image< unsigned char,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS4IUL4', True, 'itk::Image< signed short,4 >,itk::Image< unsigned long,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >,itk::Image< signed short,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC4IUL4', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned long,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC4ISS4', True, 'itk::Image< unsigned char,4 >,itk::Image< signed short,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL4IUC4', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned char,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUL4ISS4', True, 'itk::Image< unsigned long,4 >,itk::Image< signed short,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF4IUC4', True, 'itk::Image< float,4 >,itk::Image< unsigned char,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF4IUL4', True, 'itk::Image< float,4 >,itk::Image< unsigned long,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF4ISS4', True, 'itk::Image< float,4 >,itk::Image< signed short,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID4IUC4', True, 'itk::Image< double,4 >,itk::Image< unsigned char,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID4IUL4', True, 'itk::Image< double,4 >,itk::Image< unsigned long,4 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterID4ISS4', True, 'itk::Image< double,4 >,itk::Image< signed short,4 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUL2', True, 'itk::Image< unsigned long,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUL3', True, 'itk::Image< unsigned long,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUL4', True, 'itk::Image< unsigned long,4 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterID2', True, 'itk::Image< double,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterID3', True, 'itk::Image< double,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterID4', True, 'itk::Image< double,4 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUL2', True, 'itk::Image< unsigned long,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUL3', True, 'itk::Image< unsigned long,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUL4', True, 'itk::Image< unsigned long,4 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterID2', True, 'itk::Image< double,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterID3', True, 'itk::Image< double,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterID4', True, 'itk::Image< double,4 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUL3IUL2', True, 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUL4IUL3', True, 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
)
