depends = ('ITKPyBase', 'ITKImageFunction', 'ITKCommon', )
templates = (
  ('Path', 'itk::Path', 'itkPathDCID22', True, 'double, itk::ContinuousIndex< double,2 >, 2'),
  ('Path', 'itk::Path', 'itkPathDCID33', True, 'double, itk::ContinuousIndex< double,3 >, 3'),
  ('Path', 'itk::Path', 'itkPathDCID44', True, 'double, itk::ContinuousIndex< double,4 >, 4'),
  ('PolyLineParametricPath', 'itk::PolyLineParametricPath', 'itkPolyLineParametricPath2', True, '2'),
  ('PolyLineParametricPath', 'itk::PolyLineParametricPath', 'itkPolyLineParametricPath3', True, '3'),
  ('PolyLineParametricPath', 'itk::PolyLineParametricPath', 'itkPolyLineParametricPath4', True, '4'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP2ISS2', True, 'itk::PolyLineParametricPath< 2 >, itk::Image< signed short,2 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP2IUC2', True, 'itk::PolyLineParametricPath< 2 >, itk::Image< unsigned char,2 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP2IUL2', True, 'itk::PolyLineParametricPath< 2 >, itk::Image< unsigned long,2 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP2IF2', True, 'itk::PolyLineParametricPath< 2 >, itk::Image< float,2 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP2ID2', True, 'itk::PolyLineParametricPath< 2 >, itk::Image< double,2 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP3ISS3', True, 'itk::PolyLineParametricPath< 3 >, itk::Image< signed short,3 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP3IUC3', True, 'itk::PolyLineParametricPath< 3 >, itk::Image< unsigned char,3 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP3IUL3', True, 'itk::PolyLineParametricPath< 3 >, itk::Image< unsigned long,3 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP3IF3', True, 'itk::PolyLineParametricPath< 3 >, itk::Image< float,3 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP3ID3', True, 'itk::PolyLineParametricPath< 3 >, itk::Image< double,3 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP4ISS4', True, 'itk::PolyLineParametricPath< 4 >, itk::Image< signed short,4 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP4IUC4', True, 'itk::PolyLineParametricPath< 4 >, itk::Image< unsigned char,4 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP4IUL4', True, 'itk::PolyLineParametricPath< 4 >, itk::Image< unsigned long,4 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP4IF4', True, 'itk::PolyLineParametricPath< 4 >, itk::Image< float,4 >'),
  ('PathToImageFilter', 'itk::PathToImageFilter', 'itkPathToImageFilterPLPP4ID4', True, 'itk::PolyLineParametricPath< 4 >, itk::Image< double,4 >'),
  ('ParametricPath', 'itk::ParametricPath', 'itkParametricPath2', True, '2'),
  ('ParametricPath', 'itk::ParametricPath', 'itkParametricPath3', True, '3'),
  ('ParametricPath', 'itk::ParametricPath', 'itkParametricPath4', True, '4'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterISS2PLPP2', True, 'itk::Image< signed short,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC2PLPP2', True, 'itk::Image< unsigned char,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUL2PLPP2', True, 'itk::Image< unsigned long,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF2PLPP2', True, 'itk::Image< float,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterID2PLPP2', True, 'itk::Image< double,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterISS3PLPP3', True, 'itk::Image< signed short,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC3PLPP3', True, 'itk::Image< unsigned char,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUL3PLPP3', True, 'itk::Image< unsigned long,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF3PLPP3', True, 'itk::Image< float,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterID3PLPP3', True, 'itk::Image< double,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterISS4PLPP4', True, 'itk::Image< signed short,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC4PLPP4', True, 'itk::Image< unsigned char,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUL4PLPP4', True, 'itk::Image< unsigned long,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF4PLPP4', True, 'itk::Image< float,4 >, itk::PolyLineParametricPath< 4 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterID4PLPP4', True, 'itk::Image< double,4 >, itk::PolyLineParametricPath< 4 >'),
  ('PathSource', 'itk::PathSource', 'itkPathSourcePLPP2', True, 'itk::PolyLineParametricPath< 2 >'),
  ('PathSource', 'itk::PathSource', 'itkPathSourcePLPP3', True, 'itk::PolyLineParametricPath< 3 >'),
  ('PathSource', 'itk::PathSource', 'itkPathSourcePLPP4', True, 'itk::PolyLineParametricPath< 4 >'),
)
